- Qt 5.15
- Qt GUI
- C++ Classes
- QTransform
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTransform

The following members of class QTransform are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QTransform(const QMatrix &matrix)
`(obsolete)` qreal | det() const
`(obsolete)` const QMatrix & | toAffine() const

## Member Function Documentation

### QTransform::QTransform(const QMatrix &matrix)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Constructs a matrix that is a copy of the given matrix. Note that the `m13`, `m23`, and `m33` elements are set to 0, 0, and 1 respectively.

### qreal QTransform::det() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the matrix's determinant. Use determinant() instead.

### const QMatrix &QTransform::toAffine() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the QTransform as an affine matrix.

Warning: If a perspective transformation has been specified, then the conversion will cause loss of data.